Skip to content

Count leads by outreach status

POST
/v1/leads/outreach-status-counts
curl --request POST \
--url https://developers.waalaxy.ai/v1/leads/outreach-status-counts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "agentIds": [ "example" ], "linkedinAccountIds": [ "example" ], "searchFilterId": "example", "flowId": "example", "currentStepId": "example", "q": "example", "assigned": "assigned", "relationshipStatus": "ACTIVE_ASSIGNMENT", "handlingFilters": [ "automationActive" ], "blacklisted": true }'

Count the leads by outreach status (read-only, POST for the filter body)

POST /v1/leads/outreach-status-counts Request body

Media typeapplication/json
object
agentIds
Array<string>
linkedinAccountIds
Array<string>
searchFilterId
string
>= 1 characters
flowId
string
>= 1 characters
currentStepId
string
>= 1 characters
q
string
assigned
string
Allowed values: assigned unassigned any
relationshipStatus
string
Allowed values: ACTIVE_ASSIGNMENT PAST_ASSIGNMENT ACCOUNT_STATE_ONLY UNASSIGNED
handlingFilters
Array<string>
Allowed values: automationActive automationEnded
blacklisted
boolean

Success

Media typeapplication/json
object
status
required
string
Allowed value: success
data
required
object
key
additional properties
integer
<= 9007199254740991
Example
{
"status": "success"
}

Error, see Errors and rate limits

Media typeapplication/json
object
status
required
string
Allowed value: error
error
required
object
message
required
string
code
string
requestId
string
Example
{
"status": "error"
}